Bug 962453 - Unable to add downloadable cartridge via 'rhc cartridge add'
Unable to add downloadable cartridge via 'rhc cartridge add'
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 10:20 EDT by Andy Goldstein
Modified: 2015-05-14 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:56:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Goldstein 2013-05-13 10:20:34 EDT
Description of problem: Unable to add downloadable cartridge via 'rhc cartridge add' because emb_carts_controller.rb#create is not expecting the correct parameters.


Version-Release number of selected component (if applicable): rubygem-openshift-origin-controller-1.9.1-1.git.74.e41a52b.el6.noarch


How reproducible: 100%


Steps to Reproduce:
1. Create an app, e.g. "r1"
2. rhc cartridge add <url to downloadable cart manifest> -a r1
  
Actual results: Invalid cartridge. Valid values are (mongodb-2.2, cron-1.4, phpmyadmin-3.4, haproxy-1.4, mock-plugin-0.1, 10gen-mms-agent-0.1, postgresql-8.
4, switchyard-0, metrics-0.1, jenkins-client-1.4, mysql-5.1, rockmongo-1.1)


Expected results: cartridge to be added successfully


Additional info: I can make this work if I use curl and POST name[url]=<url>. From talking to Clayton, he said this action should take params[:url] instead of params[:name][:url]
Comment 1 Clayton Coleman 2013-05-13 10:23:28 EDT
This was working on Thursday of last week.
Comment 2 Andy Goldstein 2013-05-13 10:29:59 EDT
Using this rhc: rhc-1.9.1-1.git.4.34b871d.el6.noarch
Comment 3 Lili Nader 2013-05-13 19:17:00 EDT
I beleive this has been fixed
Comment 4 Andy Goldstein 2013-05-13 19:42:13 EDT
The latest on master (82e186e) still doesn't look fixed - EmbCartController#create still expects params[:name][:url].
Comment 5 joycezhang 2013-05-14 06:20:48 EDT
Assigned this bug back as it's still reproduced on devenv_2332 as below:

# rhc cartridge add https://raw.github.com/xltian/mysqlv2newcartridge/master/metadata/manifest.yml -a php
The cartridge 'https://raw.github.com/xltian/mysqlv2newcartridge/master/metadata/manifest.yml' will be downloaded and
installed
Adding https://raw.github.com/xltian/mysqlv2newcartridge/master/metadata/manifest.yml to application 'php' ... 
Invalid cartridge. Valid values are (mongodb-2.2, cron-1.4, phpmyadmin-3.4, haproxy-1.4, mock-plugin-0.1,
10gen-mms-agent-0.1, postgresql-8.4, switchyard-0, metrics-0.1, jenkins-client-1.4, mysql-5.1, rockmongo-1.1)
Comment 6 Rajat Chopra 2013-05-16 13:40:26 EDT
Fixed with rev#e5eaff9b942b64c2707c5199940b61d10ae57d25
Comment 7 Xiaoli Tian 2013-05-17 06:54:48 EDT
Verified it on devenv_3238 with rhc-1.9.2 , it works now

# rhc cartridge-add https://raw.github.com/openshift/downloadable-mock-plugin/master/metadata/manifest.yml -a mockapp
The cartridge 'https://raw.github.com/openshift/downloadable-mock-plugin/master/metadata/manifest.yml' will be downloaded and installed
Adding https://raw.github.com/openshift/downloadable-mock-plugin/master/metadata/manifest.yml to application 'mockapp' ... Success

downloadable-mock-plugin-0.1 (Downloadable Mock Plugin Cartridge 0.1)
---------------------------------------------------------------------
  Gears: Located with downloadable-mock-0.1

RESULT:
Added downloadable-mock-plugin-0.1 to application mockapp

# rhc --version
rhc 1.9.2

# rhc app show --state -a mockapp
Cartridge downloadable-mock-0.1, downloadable-mock-plugin-0.1 is started

Note You need to log in before you can comment on or make changes to this bug.